searchData={"items":[{"type":"module","title":"VintageNetBridge","doc":"Configure network bridges with VintageNet\n\nConfigurations for this technology are maps with a `:type` field set to\n`VintageNetBridge`. The following additional fields are supported:\n\n* `:vintage_net_bridge` - Bridge options\n  * `:interfaces` - Set to a list of interface names to add to the bridge.\n    This option is required for the bridge to be useful.\n  * `:forward_delay`\n  * `:priority`\n  * `:hello_time`\n  * `:max_age`\n  * `:path_cost`\n  * `:path_priority`\n  * `:hairpin`\n  * `:stp`\n\nHere's an example configuration for setting up a bridge:\n\n```elixir\n%{\n  type: VintageNetBridge,\n  vintage_net_bridge: %{\n    vintage_net_bridge: %{\n    interfaces: [\"eth0\", \"wlan0\"],\n  }\n}\n```\n\nSee [brctl(8)](https://www.man7.org/linux/man-pages/man8/brctl.8.html) for\nmore information on individual options.","ref":"VintageNetBridge.html"},{"type":"extras","title":"README","doc":"![VintageNet logo](assets/logo.png)\n\n[![Hex version](https://img.shields.io/hexpm/v/vintage_net_bridge.svg \"Hex version\")](https://hex.pm/packages/vintage_net_bridge)\n[![API docs](https://img.shields.io/hexpm/v/vintage_net_bridge.svg?label=hexdocs \"API docs\")](https://hexdocs.pm/vintage_net_bridge/VintageNetBridge.html)\n[![CircleCI](https://circleci.com/gh/nerves-networking/vintage_net_bridge.svg?style=svg)](https://circleci.com/gh/nerves-networking/vintage_net_bridge)\n[![Coverage Status](https://coveralls.io/repos/github/nerves-networking/vintage_net_bridge/badge.svg?branch=master)](https://coveralls.io/github/nerves-networking/vintage_net_bridge?branch=master)\n\n`VintageNetBridge` adds support for creating Ethernet bridges with `VintageNet`.\nBridging two networks joins them together so that they form one LAN. One use\ncase would be to join a WiFi mesh network with a wired Ethernet LAN. Devices on\nthe mesh network would look like they're on the Ethernet LAN when in reality all\ntraffic was being transferred through the bridge. For example, a DHCP server\nrunning on the Ethernet LAN would provide IP addresses for the WiFi mesh\ndevices. While bridging is not always an appropriate way of joining networks, in\nthis case, it enables one to provision multiple Mesh WiFi to Ethernet LAN\ndevices for redundancy in the mesh while still looking like a normal IPv4 LAN.\n\nTo use, add `:vintage_net_bridge` to your `mix` dependencies like this:\n\n```elixir\ndef deps do\n  [\n    {:vintage_net_bridge, \"~> 0.10.0\"}\n  ]\nend\n```","ref":"readme.html"},{"type":"extras","title":"Using - README","doc":"Bridges typically have names like `\"br0\"`, `\"br1\"`, etc. Here is an example\nconfiguration:\n\n```elixir\nconfig :vintage_net,\n  regulatory_domain: \"US\",\n  config: [\n    {\"eth0\",\n     %{\n       type: VintageNetEthernet,\n       ipv4: %{method: :disabled}\n     }},\n    {\"br0\",\n     %{\n       type: VintageNetBridge,\n       ipv4: %{method: :dhcp},\n       vintage_net_bridge: %{\n         interfaces: [\"eth0\", \"mesh0\"]\n       }\n     }},\n    {\"mesh0\",\n     %{\n       type: VintageNetWiFi,\n       ipv4: %{method: :disabled},\n       vintage_net_wifi: %{\n         user_mpm: 1,\n         root_interface: \"wlan0\",\n         networks: [\n           %{\n             key_mgmt: :none,\n             ssid: \"my-mesh\",\n             frequency: 2432,\n             mode: :mesh\n           }\n         ]\n       }\n     }}\n  ]\n```","ref":"readme.html#using"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.10.3 - Changelog","doc":"* Changes\n  * Fix retry failure in up_cmds due to not cleaning up the existing bridge.","ref":"changelog.html#v0-10-3"},{"type":"extras","title":"v0.10.2 - Changelog","doc":"* Changes\n  * Normalize configurations to avoid errors when using static IP addresses.\n    Thank to @pojiro for this fix.\n  * Fix non-determinism is configuration file order when using OTP 26 due to map\n    sort order change.","ref":"changelog.html#v0-10-2"},{"type":"extras","title":"v0.10.1 - Changelog","doc":"* Changes\n  * Support `vintage_net v0.11.x` as well.","ref":"changelog.html#v0-10-1"},{"type":"extras","title":"v0.10.0 - Changelog","doc":"This release is backwards compatible with v0.9.2. No changes are needed to\nexisting code.","ref":"changelog.html#v0-10-0"},{"type":"extras","title":"v0.9.0 - Changelog","doc":"* New features\n  * Synchronize with vintage_net v0.9.0's networking program path API update","ref":"changelog.html#v0-9-0"},{"type":"extras","title":"v0.8.0 - Changelog","doc":"Initial release","ref":"changelog.html#v0-8-0"}],"content_type":"text/markdown"}